Bug 99426 - rpm -qi mailman instructions are plain wrong
rpm -qi mailman instructions are plain wrong
Product: Red Hat Raw Hide
Classification: Retired
Component: specspo (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernd Groh
Depends On:
  Show dependency treegraph
Reported: 2003-07-18 20:18 EDT by R P Herrold
Modified: 2014-06-18 04:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-23 11:42:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2003-07-18 20:18:50 EDT
.. and misleading.  Hi, Chuck.

rpm -qi mailman, on a fresh install of RHL 9 -or- the present Raw Hide offering

1.  When the package has finished installing, you will need to:

* Run /var/mailman/bin/mmsitepass
to set the mailman administrator password.

* Edit /var/mailman/Mailman/mm_cfg.py
to customize mailman's configuration for your site.

* Modify the sendmail configuration to ensure that it is running and
accepting connections from the outside world (to ensure that it runs,
set "DAEMON=yes" in /etc/sysconfig/sendmail, ensuring that it accepts
connections from the outside world may require modifying
/etc/mail/sendmail.mc and regenerating sendmail.cf), and

* Add these lines:
ScriptAlias /mailman/ /var/mailman/cgi-bin/
Alias /pipermail/ /var/mailman/archives/public/
<Directory /var/mailman/archives>
Options +FollowSymlinks
to /etc/httpd/conf/httpd.conf to configure your Web server.


The last section is simply wrong with the 'mailman.conf' file in /etc/http/conf.d/

2.  Missing item: Additionally, there is a new mailman upstream requirement to
establist a minimum list called 'mailman' for logfile management purposes and so

Failure to do so leads to a cryptic error when running: service mailman stop ;
service mailman start.
Comment 1 R P Herrold 2003-07-18 20:19:57 EDT
corrent title Summary; sorry, Jim.
Comment 2 R P Herrold 2003-07-18 20:22:24 EDT
2.  also, once done, you need:

The mailing list `mailman' has been created via the through-the-web
interface.  In order to complete the activation of this mailing list, the
proper /etc/aliases (or equivalent) file must be updated.  The program
`newaliases' may also have to be run.

Here are the entries for the /etc/aliases file:

mailman:              "|/var/mailman/mail/mailman post mailman"
mailman-admin:        "|/var/mailman/mail/mailman admin mailman"
mailman-bounces:      "|/var/mailman/mail/mailman bounces mailman"
mailman-confirm:      "|/var/mailman/mail/mailman confirm mailman"
mailman-join:         "|/var/mailman/mail/mailman join mailman"
mailman-leave:        "|/var/mailman/mail/mailman leave mailman"
mailman-owner:        "|/var/mailman/mail/mailman owner mailman"
mailman-request:      "|/var/mailman/mail/mailman request mailman"
mailman-subscribe:    "|/var/mailman/mail/mailman subscribe mailman"
mailman-unsubscribe:  "|/var/mailman/mail/mailman unsubscribe mailman"

Comment 3 Florian La Roche 2004-06-06 05:42:16 EDT
Since the current mailman rpm any requires the setup of a
mailman list, we might want to remove any addition of
"mailman" and "mailman-owner" into the alias file and keep that
as part of the setup process and the Red Hat docu file in
/usr/share/doc/. This will also simplify the current post script.


Florian La Roche
Comment 4 John Dennis 2004-09-07 17:58:38 EDT
This is a specspo issue, the spec file has the correct description
which specspo ignores. Assigning this to the specspo maintainer as
quite a few of us are baffled as to how to get updates into specspo as
per the recent discusson on os-devel-list.

We need to do one of the following:

1) document a process for specspo

2) remove specspo from distributions

3) a compose time snag the description from all the rpm's and update
specspo with that, at least the english documentation will be correct. 
Comment 5 Paul Gampe 2004-09-07 18:37:26 EDT
Thanks Dennis.  I'd requested that specspo be assigned to Bernd Groh 
a few months ago now, as I am not in a position to maintain OS 
packages.  Bernd is also flooded, so my recommendation is option 2).   
Specspo is a good idea, but without an automated process to maintain 
the varying versions we need to maintain for each release, it is not 
possible to maintain, and translate. 
I would recommend we target re-including it in RHEL5, after Bernd has 
had time to develop an automated system. 
Comment 6 R P Herrold 2005-02-23 11:42:43 EST
more than six months old - long since overtaken by events - closing; please
reopen if appropriate

Note You need to log in before you can comment on or make changes to this bug.